Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.font
Class FlPoint

    java.lang.Object
      com.sun.pdfview.font.FlPoint

    public class FlPoint

extends java.lang.Object

A floating-point Point, with public fields. Also contains a flag for "open" to indicate that the path this point is a member of has or hasn't been closed.

Field Summary
`boolean` | `open` whether the path this point is a part of is open or closed.
`float` | `x` x coordinate of the point
`float` | `y` y coordinate of the point

Constructor Summary
`FlPoint()`

Method Summary
`void` | `reset()` reset the values to (0,0) and closed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public float x

  x coordinate of the point

### y

    public float y

  y coordinate of the point

### open

    public boolean open

  whether the path this point is a part of is open or closed. used in Type1CFont.java.

Constructor Detail

### FlPoint

    public FlPoint()

Method Detail

### reset

    public final void reset()

  reset the values to (0,0) and closed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD